Incorrect path for oem descriptor

Bug #1095823 reported by Steve Magoun on 2013-01-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OEM Priority Project
Medium
James M. Leddy
Precise
Medium
James M. Leddy
software-center (Ubuntu)
Medium
Brian Murray
Precise
Medium
Brian Murray
Quantal
Medium
Brian Murray

Bug Description

Recent versions of SW Center include the Distribution Channel Descriptor in the user agent string passed to the server. This feature was introduced for bug 1042749. However the original implementation used an incorrect path and the DCD information will never be passed to SW Center. The DCD is referred to as the oem channel descriptor in SW Center. The spec for the DCD is here: https://wiki.ubuntu.com/FoundationsTeam/Specs/OemTrackingId

= Test Case =

grep OEM_CHANNEL /usr/share/software-center/softwarecenter/paths.py

The affected file is /usr/share/software-center/softwarecenter/paths.py

Incorrect:
# OEM
OEM_CHANNEL_DESCRIPTOR = "/var/lib/ubuntu-dist-channel"

Correct (change hyphens to underscores):
# OEM
OEM_CHANNEL_DESCRIPTOR = "/var/lib/ubuntu_dist_channel"

The problem was introduced in this branch:
https://code.launchpad.net/~mvo/software-center/oem-descriptor-in-user-agent-5.2

Note that the tests in that branch use the correct path, but the path in OEM_CHANNEL_DESCRIPTOR is incorrect.

The following versions of sw center contain the bug:
precise: 5.2.7
quantal: 5.4.1.2

I believe the bug is in raring too. Please SRU a fix to precise and quantal.

David Pitkin (dpitkin) on 2013-01-03
tags: added: ca-escalated
Steve Magoun (smagoun) on 2013-01-14
Changed in oem-priority:
importance: Undecided → Medium
Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
David Pitkin (dpitkin) on 2013-01-17
Changed in software-center (Ubuntu):
importance: Undecided → Medium
Changed in software-center (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
tags: added: rls-r-incoming
Changed in software-center (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.5.4

---------------
software-center (5.5.4) raring; urgency=low

  [ Barry Warsaw ]
  * lp:~barry/software-center/lp1100408:
    - debian/control: Update Depends for new oneconf packaging.

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)
 -- Brian Murray <email address hidden> Thu, 24 Jan 2013 16:11:07 -0800

Changed in software-center (Ubuntu):
status: In Progress → Fix Released
Changed in software-center (Ubuntu Precise):
status: New → In Progress
Changed in software-center (Ubuntu Quantal):
status: New → In Progress
Changed in software-center (Ubuntu Precise):
assignee: nobody → Brian Murray (brian-murray)
Changed in software-center (Ubuntu Quantal):
assignee: nobody → Brian Murray (brian-murray)
Changed in software-center (Ubuntu Precise):
importance: Undecided → Medium
Changed in software-center (Ubuntu Quantal):
importance: Undecided → Medium
description: updated

Hello Steve, or anyone else affected,

Accepted software-center into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/software-center/5.2.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-center (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
Steve Magoun (smagoun) wrote :

The updated path is correct in software-center 5.2.9 from precise-proposed

tags: added: verification-done
removed: verification-needed
Brian Murray (brian-murray) wrote :

Hello Steve, or anyone else affected,

Accepted software-center into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/software-center/5.4.1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in software-center (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: removed: verification-done
tags: added: verification-needed
Steve Magoun (smagoun) on 2013-02-04
Changed in oem-priority:
status: New → Fix Committed
Steve Magoun (smagoun) wrote :

The updated path is correct in software-center 5.4.1.4 from quantal-proposed

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.4.1.4

---------------
software-center (5.4.1.4) quantal-proposed; urgency=low

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)
 -- Brian Murray <email address hidden> Fri, 25 Jan 2013 07:44:14 -0800

Changed in software-center (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in oem-priority:
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 5.2.9

---------------
software-center (5.2.9) precise-proposed; urgency=low

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)

software-center (5.2.8) precise-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/handle-trans-cancel-lp1027209-for-5.2:
    - backport of the transaction cancellation fix for bug LP: #1027209.

  [ Michael Vogt ]
  * lp:~mvo/software-center/robustness-lp1054070
    - cherry pick fix for corruption fix LP: #1054070
 -- Brian Murray <email address hidden> Mon, 28 Jan 2013 09:14:24 -0800

Changed in software-center (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers